<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">



<mapper namespace="com.ruoyi.system.mapper.DFixAddressAreaMapper">
	<resultMap type="com.ruoyi.system.domain.DFixAddressArea" id="DFixAddressAreaResult">
		<id property="id" column="id" />
		<result property="provinceCode" column="province_code" />
		<result property="provinceName" column="province_name" />
		<result property="cityCode" column="city_code" />
		<result property="cityName" column="city_name" />
		<result property="areaCode" column="area_code" />
		<result property="areaName" column="area_name" />
		<result property="address" column="address" />
		<result property="matchMode" column="match_mode" />
		<result property="state" column="state" />
		<result property="delFlag" column="del_flag" />
	</resultMap>
	
	
	 <select id="matchByAddress1" resultMap="DFixAddressAreaResult" parameterType="String">
	 select id,province_code,province_name,city_code,city_name,area_code,area_name,address,match_mode,state,del_flag 
	 from d_fix_address_area where address = #{address} order by id desc limit 1
	 </select>
	
	
	
</mapper>